## soundtouch 2.3.1+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project(SoundTouch VERSION 2.3.1 LANGUAGES CXX)

include(GNUInstallDirs)

if(MSVC)
  set(COMPILE_DEFINITIONS /O2 /fp:fast)
  set(COMPILE_OPTIONS )
else()
  set(COMPILE_OPTIONS -Ofast)
endif()

#####################
# SoundTouch library

add_library(SoundTouch
  source/SoundTouch/AAFilter.cpp
  source/SoundTouch/BPMDetect.cpp
  source/SoundTouch/cpu_detect_x86.cpp
  source/SoundTouch/FIFOSampleBuffer.cpp
  source/SoundTouch/FIRFilter.cpp
  source/SoundTouch/InterpolateCubic.cpp
  source/SoundTouch/InterpolateLinear.cpp
  source/SoundTouch/InterpolateShannon.cpp
  source/SoundTouch/mmx_optimized.cpp
  source/SoundTouch/PeakFinder.cpp
  source/SoundTouch/RateTransposer.cpp
  source/SoundTouch/SoundTouch.cpp
  source/SoundTouch/sse_optimized.cpp
  source/SoundTouch/TDStretch.cpp
)
target_include_directories(SoundTouch PUBLIC
   $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
   $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

target_compile_definitions(SoundTouch PRIVATE ${COMPILE_DEFINITIONS})
target_compile_options(SoundTouch PRIVATE ${COMPILE_OPTIONS})

if(BUILD_SHARED_LIBS)
  set_target_properties(SoundTouch PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
  )
  if(WIN32)
    set_target_properties(SoundTouch PROPERTIES
      WINDOWS_EXPORT_ALL_SYMBOLS TRUE
    )
  else()
    set_target_properties(SoundTouch PROPERTIES
      SOVERSION ${PROJECT_VERSION_MAJOR}
    )
  endif()
endif()

option(INTEGER_SAMPLES "Use integers instead of floats for samples" OFF)
if(INTEGER_SAMPLES)
  target_compile_definitions(SoundTouch PRIVATE SOUNDTOUCH_INTEGER_SAMPLES)
else()
  target_compile_definitions(SoundTouch PRIVATE SOUNDTOUCH_FLOAT_SAMPLES)
endif()

if(CMAKE_SYSTEM_PROCESSOR MATCHES "^(armv7.*|armv8.*)$")
  set(NEON_CPU ON)
else()
  set(NEON_CPU OFF)
endif()

option(NEON "Use ARM Neon SIMD instructions if in ARM CPU" ON)
if(${NEON} AND ${NEON_CPU})
  target_compile_definitions(SoundTouch PRIVATE SOUNDTOUCH_USE_NEON)
  target_compile_options(SoundTouch PRIVATE -mfpu=neon)
endif()

install(
  FILES
    include/BPMDetect.h
    include/FIFOSampleBuffer.h
    include/FIFOSamplePipe.h
    include/STTypes.h
    include/SoundTouch.h
    include/soundtouch_config.h
  DESTINATION
    "${CMAKE_INSTALL_INCLUDEDIR}/soundtouch"
)

install(TARGETS SoundTouch
  EXPORT SoundTouchTargets
  ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}"
  RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
  INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

#######################
# soundstretch utility

option(SOUNDSTRETCH "Build soundstretch command line utility." ON)
if(SOUNDSTRETCH)
  add_executable(soundstretch
    source/SoundStretch/main.cpp
    source/SoundStretch/RunParameters.cpp
    source/SoundStretch/WavFile.cpp
  )
  target_include_directories(soundstretch PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>)
  target_compile_definitions(soundstretch PRIVATE ${COMPILE_DEFINITIONS})
  target_compile_options(soundstretch PRIVATE ${COMPILE_OPTIONS})
  target_link_libraries(soundstretch PRIVATE SoundTouch)

  install(TARGETS soundstretch
    DESTINATION bin
  )
endif()

########################
# SoundTouchDll library

option(SOUNDTOUCH_DLL "Build SoundTouchDLL C wrapper library" OFF)
if(SOUNDTOUCH_DLL)
  add_library(SoundTouchDLL SHARED
    source/SoundTouchDLL/SoundTouchDLL.cpp
    source/SoundTouchDLL/SoundTouchDLL.rc
  )
  set_target_properties(SoundTouch PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
  target_compile_options(SoundTouchDLL PRIVATE ${COMPILE_OPTIONS})
  set_target_properties(SoundTouchDLL PROPERTIES CXX_VISIBILITY_PRESET hidden)
  target_compile_definitions(SoundTouchDLL PRIVATE DLL_EXPORTS)
  target_include_directories(SoundTouchDLL PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>)
  target_link_libraries(SoundTouchDLL PRIVATE SoundTouch)
  install(FILES source/SoundTouchDLL/SoundTouchDLL.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/soundtouch")
  install(TARGETS SoundTouchDLL EXPORT SoundTouchTargets)
endif()

########################

# pkgconfig
set(prefix "${CMAKE_INSTALL_PREFIX}")
set(execprefix "\${prefix}")
set(libdir "\${prefix}/${CMAKE_INSTALL_LIBDIR}")
set(includedir "\${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
set(VERSION "${CMAKE_PROJECT_VERSION}")
configure_file(soundtouch.pc.in "${CMAKE_CURRENT_BINARY_DIR}/soundtouch.pc" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/soundtouch.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

# CMake config
include(CMakePackageConfigHelpers)
set(SOUNDTOUCH_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/SoundTouch")
install(
  EXPORT SoundTouchTargets
  FILE SoundTouchTargets.cmake
  NAMESPACE SoundTouch::
  DESTINATION "${SOUNDTOUCH_INSTALL_CMAKEDIR}"
)
configure_package_config_file(SoundTouchConfig.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/SoundTouchConfig.cmake"
  INSTALL_DESTINATION "${SOUNDTOUCH_INSTALL_CMAKEDIR}"
)
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/SoundTouchConfigVersion.cmake"
  VERSION "${CMAKE_PROJECT_VERSION}"
  COMPATIBILITY SameMajorVersion
)
install(
  FILES
    "${CMAKE_CURRENT_BINARY_DIR}/SoundTouchConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/SoundTouchConfigVersion.cmake"
  DESTINATION "${SOUNDTOUCH_INSTALL_CMAKEDIR}"
)

## soundtouch 1.5.0

=== debian/changelog ===
soundtouch (1.5.0-4) unstable; urgency=low

  [ Alessio Treglia ]
  * Deapply patch after git-buildpackage'ing, abort on upstream changes.

  [ Miguel Colon ]
  * Change file permissions to 644 in debian/*
  * Add 09_WavFile.patch: Don't crash with 24/32 Wav files. (LP: #639927)
  * Fix the 08_nostrip.patch: Do not patch autogenerated files.
  * Update 01_upstream_fixes.patch: Do not install the soundtouch-1.4.pc file.
  * libsoundtouch-dev: needs to provide libsoundtouch1-dev (Closes: #615140)
  * Do not remove libsoundtouch1c2 if installed. (Closes: #615141, #615269)

 -- Miguel Colon <debian.micove@gmail.com>  Sat, 26 Feb 2011 23:39:41 +0100

soundtouch (1.5.0-3) unstable; urgency=low

  [ Miguel Colon ]
  * Override dh_prep only when it's actually needed.
  * Fix FTBFS when using debhelper 7 and not building the lib32 packages.
  * Add myself as uploader.
  * Strip the SONAME out of the lib32 -DEV runtime's name.
  * Rename libsoundtouch0-dev.install to libsoundtouch-dev.install.
  * Rename and update libsoundtouch0-dev.links to libsoundtouch-dev.links.
  * Rename lib32soundtouch0-dev.install to lib32soundtouch-dev.install.
  * Rename and update lib32soundtouch0-dev.links to lib32soundtouch-dev.links.
  * Update dependencies of lib32soundtouch-dev.

  [ Alessio Treglia ]
  * Upload to unstable.
  * Strip the SONAME out of the -DEV runtime's name.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Feb 2011 00:44:05 +0100

soundtouch (1.5.0-2) experimental; urgency=low

  [ Alessio Treglia ]
  * Adopting this (Closes: #546981).
  * Add gbp config file.
  * debian/control: A bit of style and clean-up.
  * Downgrade debhelper dependency, debhelper >= 7.0.50~ is enough.
  * Update as per DEP-5 rev.162.
  * libsoundtouch0-dev provides libsoundtouch-dev.
  * lib32soundtouch0-dev provides lib32soundtouch-dev
  * Add .gitignore to skip .pc/* files.

  [ Miguel Colon ]
  * Update the description field of the development packages.
  * One dependency per line for package soundstretch.
  * Create the libsoundtouch0-dbg package.
  * Create the lib32soundtouch0-dbg package.
  * Create the soundstretch-dbg package.
  * Change copyright year.

 -- Alessio Treglia <alessio@debian.org>  Thu, 20 Jan 2011 11:11:14 +0100

soundtouch (1.5.0-1) experimental; urgency=low

  [ Alessio Treglia ]
  * QA upload.
  * Set Maintainer to Debian QA Group.
  * Set target to experimental.
  * Don't install static libraries.
  * Remove libtool *.la files.
  * debian/rules:
    - dh_autoreconf is a superset of the autotools-dev debhelper addons so
      don't use both autoreconf and dh_autotools_dev helpers, otherwise the
      package source directory may be left in an inconsistent state once the
      build has finished.

  [ Miguel Colon ]
  * New upstream release. (closes: #516905, #585557)
    - Update soundstretch manual page.
    - Remove 07_gcc43.patch since it's already fixed upstream.
  * Add upstream patch fixing obsolete version references.
    - Mantain soundtouch-1.4.pc for compatibility.
  * Add a debian watch file. (closes: #543729)
  * Bump Standards-Version to 3.9.1.
  * Rename libsoundtouch1c2 to libsoundtouch0 and libsoundtouch1-dev to 
    libsoundtouch0-dev so we comply with policy.
    - Obsolete c2 naming due to CXX transition is not needed anymore.
    - ardour used to provide libsoundtouch0 and libsoundtouch0-dev as mentioned 
      in #271108. These packages were removed in 2004.
  * Convert package to 3.0 (quilt) format:
    - Bump debhelper compatibility level to 8.
    - Update build dependencies. 
    - Fix paths in *.install and *.docs files.
    - Update rules file.
    - Update patches to quilt and add headers.
  * Make lintian happier:
    - Fix duplicated word warning and other typos.
    - Add ${misc:Depends} to libsoundtouch0.
    - Update and reformat copyright file.
  * Add packages lib32soundtouch0-dev and lib32soundtouch0.
  * Instead of providing the same doc folders. Create a symlink from the doc 
    folder of libsoundtouch0-dev, lib32soundtouch0-dev and lib32soundtouch0 to
    the doc folder of libsoundtouch0.

 -- Alessio Treglia <alessio@debian.org>  Wed, 12 Jan 2011 12:18:38 +0100

soundtouch (1.3.1-2) unstable; urgency=low

  * removed sse flag in Makefile.am (closes: #479809)
  * upstream supplies pgconfig file, using that (closes: #476699)
  * new upstream version accepted (closes: #462643)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 07 May 2008 11:04:58 +0200

soundtouch (1.3.1-1) unstable; urgency=low

  * new upstream version
  * acknowledged NMU changes
  * Standards-Version to 3.7.3

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 05 May 2008 15:57:40 +0200

soundtouch (1.3.0-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Forcibly run automake as well as aclocal, ensuring that the versions of
    automake and aclocal used are in sync (Closes: #471635).
    - Use aclocal 1.8, not 1.7 as in the previous NMU, since that appears to
      be the version used upstream
  * Make lintian slightly happier:
    - move -dev package to libdevel
    - correctly use the word "Copyright", not just (C), in debian/copyright

 -- Simon McVittie <smcv@ianadd.pseudorandom.co.uk>  Sat, 05 Apr 2008 11:56:51 +0100

soundtouch (1.3.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build multiple times in a row. (Closes: #444542, #441747).
    + Adjust DEB_AUTO_UPDATE_*.
    + Add DEB_AC_AUX_DIR.
  * 07_gcc43.patch - Build with gcc-4.3. (Closes: #455171).
    + Thanks to Cyril Brulebois for the patch.
  * 08_nostrip.patch - Stop LD from stripping. (Closes: #438038).

 -- Barry deFreese <bddebian@comcast.net>  Mon, 10 Mar 2008 00:55:24 -0400

soundtouch (1.3.0-2.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * patches/06_gcc41.patch: Remove extra qualification from C++ header
    file (closes: #356522).

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 22:16:25 +0200

soundtouch (1.3.0-2) unstable; urgency=low



=== debian/control ===
Source: soundtouch
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Miguel Colon <debian.micove@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
 dh-autoreconf,
 g++-multilib [amd64]
Standards-Version: 3.9.1
Homepage: http://www.surina.net/soundtouch/
Vcs-Git: git://git.debian.org/pkg-multimedia/soundtouch.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/soundtouch.git

Package: libsoundtouch-dev
Section: libdevel
Architecture: any
Depends: libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Replaces: libsoundtouch1-dev
Conflicts: libsoundtouch1-dev
Provides: libsoundtouch0-dev,
 libsoundtouch1-dev
Description: Development files for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the development files used to build programs that use
 libsoundtouch0.

Package: libsoundtouch0
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Sound stretching library
 SoundTouch is a library that can be used to change pitch and time
 of soundfiles independently.
 .
 This package contains the libsoundtouch0 shared library.

Package: libsoundtouch0-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the debugging symbols for libsoundtouch0.

Package: lib32soundtouch-dev
Section: libdevel
Architecture: amd64
Depends: libsoundtouch-dev (= ${binary:Version}),
 lib32soundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Provides: lib32soundtouch0-dev
Description: Development files for the sound stretching library (32 bit)
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the development files (32 bit) used to build programs
 that use lib32soundtouch0.

Package: lib32soundtouch0
Architecture: amd64
Depends: libsoundtouch0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Description: Sound stretching library (32 bit)
 SoundTouch is a library that can be used to change pitch and time
 of soundfiles independently.
 .
 This package contains the libsoundtouch0 shared library (32 bit).

Package: lib32soundtouch0-dbg
Priority: extra
Section: debug
Architecture: amd64
Depends: lib32soundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the sound stretching library (32 bit)
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the debugging symbols (32 bit) for lib32soundtouch0.

Package: soundstretch
Section: sound
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Stretches and pitch-shifts sound independently
 This program can strech and pitch-shift .wav-files independently. 
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This program uses libsoundtouch for the actual work.

Package: soundstretch-dbg
Priority: extra
Section: debug
Architecture: any
Depends: soundstretch (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the soundstretch program
 This program can strech and pitch-shift .wav-files independently. 
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This package contains the debugging symbols for soundstretch.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

override_dh_clean:
	dh_clean
	rm -f soundtouch.pc

override_dh_auto_configure:
        ifeq ($(DEB_HOST_ARCH), amd64)
		dh_auto_configure -- CC='gcc -m32' CXX='g++ -m32' \
                                   --enable-shared=yes \
                                   --bindir=\$${prefix}/bin32 \
                                   --libexecdir=\$${prefix}/lib32/soundtouch \
                                   --libdir=\$${prefix}/lib32
		$(MAKE)
		$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
		$(MAKE) clean
        endif

	dh_auto_configure -- --enable-shared=yes

ifeq ($(DEB_HOST_ARCH), amd64)
override_dh_prep:
	dh_prep --exclude=debian/tmp
endif

override_dh_install:
	dh_install -s

override_dh_installdocs:
	dh_installdocs -plibsoundtouch0 -psoundstretch

override_dh_installchangelogs:
	dh_installchangelogs -plibsoundtouch0 -psoundstretch

override_dh_strip:
	dh_strip --package=libsoundtouch0 --dbg-package=libsoundtouch0-dbg
        ifeq ($(DEB_HOST_ARCH), amd64)
		dh_strip --package=lib32soundtouch0 --dbg-package=lib32soundtouch0-dbg
        endif
	dh_strip --package=soundstretch --dbg-package=soundstretch-dbg

override_dh_gencontrol:
	dh_gencontrol -s

override_dh_builddeb:
	dh_builddeb -s

%:
	dh $@ --with autoreconf

## soundtouch 1.6.0

=== debian/changelog ===
soundtouch (1.6.0-3) unstable; urgency=low

  * debian/copyright:
    - Fix the syntax in the license paragraph.
    - Update copyright years.
    - Update to finalized DEP-5 copyright-format 1.0.
  * Bump Standards-Version to 3.9.3.
  * Bump the debhelper version and compatibility level to 9.
    - Adds hardening support.
    - Drops the need to explicitly use DEB_HOST_MULTIARCH in the rules file.
  * Mark libsoundtouch-dev as Multi-Arch: same.

 -- Miguel Colon <debian.micove@gmail.com>  Sun, 04 Mar 2012 21:03:50 -0500

soundtouch (1.6.0-2) unstable; urgency=low

  * Build for Multiarch. Drop lib32* (Closes: #635169).
    Thanks to Gregory Hainaut for the patch.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Jul 2011 12:45:30 +0200

soundtouch (1.6.0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * Bump Standards.

  [ Miguel Colon ]
  * Imported Upstream version 1.6.0
  * Bump debhelper to version 8.
  * debian/rules:
    - Remove workaround that was needed when using debhelper 7.
  * debian/patches:
    - Drop 00_upstream_fixes.patch - merged upstream.
    - Refresh 01_remove_sse.patch.
    - Drop 03_WavFile.patch - fixed upstream.
  * Remove debian/clean file.
  * debian/copyright
    - Update as per DEP-5 rev.174 (no changes needed).
    - Update copyright years.
    - Update the URI of the format specification.

 -- Miguel Colon <debian.micove@gmail.com>  Sat, 16 Jul 2011 21:36:02 -0400

soundtouch (1.5.0-5) unstable; urgency=low

  [ Miguel Colon ]
  * Remove soundtouch.pc during the clean routine.
  * Remove 04_remove_asm.patch since 02_remove_sse.patch already does this.
  * Remove obsolete README.Debian file.
  * Update and rename the files in debian/patches.

  [ Alessio Treglia ]
  * Put soundtouch.pc into debian/clean.
  * Update libsoundtouch0.docs, README.Debian has been deleted.

 -- Miguel Colon <debian.micove@gmail.com>  Thu, 10 Mar 2011 14:49:09 -0500

=== debian/control ===
Source: soundtouch
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Miguel Colon <debian.micove@gmail.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf
Standards-Version: 3.9.3
Homepage: http://www.surina.net/soundtouch/
Vcs-Git: git://git.debian.org/pkg-multimedia/soundtouch.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/soundtouch.git

Package: libsoundtouch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Replaces: libsoundtouch1-dev
Conflicts: libsoundtouch1-dev
Provides: libsoundtouch0-dev,
 libsoundtouch1-dev
Description: Development files for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the development files used to build programs that use
 libsoundtouch0.

Package: libsoundtouch0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Sound stretching library
 SoundTouch is a library that can be used to change pitch and time
 of soundfiles independently.
 .
 This package contains the libsoundtouch0 shared library.

Package: libsoundtouch0-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends: libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the debugging symbols for libsoundtouch0.

Package: soundstretch
Section: sound
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Stretches and pitch-shifts sound independently
 This program can strech and pitch-shift .wav-files independently. 
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This program uses libsoundtouch for the actual work.

Package: soundstretch-dbg
Priority: extra
Section: debug
Architecture: any
Depends: soundstretch (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the soundstretch program
 This program can strech and pitch-shift .wav-files independently. 
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This package contains the debugging symbols for soundstretch.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared=yes

override_dh_installdocs:
	dh_installdocs -plibsoundtouch0 -psoundstretch

override_dh_installchangelogs:
	dh_installchangelogs -plibsoundtouch0 -psoundstretch

override_dh_strip:
	dh_strip --package=libsoundtouch0 --dbg-package=libsoundtouch0-dbg
	dh_strip --package=soundstretch --dbg-package=soundstretch-dbg

%:
	dh $@ --parallel --with autoreconf

## soundtouch 1.7.0

=== debian/changelog ===
soundtouch (1.7.0-2) experimental; urgency=low

  * Remove 01_remove_sse.patch, no longer needed.
  * Simplify the rules file. The shared library is now built by default.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 05 Sep 2012 02:29:37 -0400

soundtouch (1.7.0-1) experimental; urgency=low

  [ Miguel A. Colón Vélez ]
  * debian/copyright
    - Update the copyright years.
    - Wrap the license paragraph to column 80.
  * Update my entry in the uploaders list.

  [ Alessio Treglia ]
  * New upstream release.
  * Update debian/copyright.
  * Refresh patches.
  * Remove 02_nostrip.patch, no longer needed.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Sep 2012 18:26:44 +0200

## soundtouch 1.7.1

=== debian/changelog ===
soundtouch (1.7.1-5) unstable; urgency=low

  * Team upload.
  * Fix assertion in findCrossingLevel (LP: #1193667)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 10 Dec 2013 12:07:30 +0800

soundtouch (1.7.1-4) unstable; urgency=low

  * Team upload.
  * debian/control: Fix Breaks of libsoundtouch0. The binary package is called
    gstreamer1.0-plugins-bad and not gst-plugins-bad1.0.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 23 Sep 2013 00:24:35 +0200

soundtouch (1.7.1-3) unstable; urgency=low

  * Team upload.
  * debian/patches/dont-use-integers-if-softp.patch: Revert ABI breakage on
    armel. Don't use integers instead of floats if __SOFTP__ is defined.
    (Closes: #723681)
  * debian/control:
    - libsoundtouch-dev: Don't mark as M-A: same. It contains arch-dependent
      files in /usr/include/soundtouch. (Closes: #707751)
    - libsoundtouch0: Add Breaks on gstreamer1.0-plugins-bad and yatm (armel
      only). They have been built against the broken ABI.
  * debian/rules: Bump shlibs of libsoundtouch0 to >= 1.7.1-3~.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Sep 2013 16:00:23 +0200

soundtouch (1.7.1-2) unstable; urgency=low

  * Upload to unstable.
  * Use canonical URL for VCS fields.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 May 2013 12:44:43 +0200

soundtouch (1.7.1-1) experimental; urgency=low

  * New upstream release.
  * Remove empty debian/patches/series.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jan 2013 14:25:00 +0000

=== debian/control ===
Source: soundtouch
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf
Standards-Version: 3.9.4
Homepage: http://www.surina.net/soundtouch/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/soundtouch.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/soundtouch.git

Package: libsoundtouch-dev
Section: libdevel
Architecture: any
Depends:
 libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Replaces:
 libsoundtouch1-dev
Conflicts:
 libsoundtouch1-dev
Provides:
 libsoundtouch0-dev,
 libsoundtouch1-dev
Description: Development files for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the development files used to build programs that use
 libsoundtouch0.

Package: libsoundtouch0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 gstreamer1.0-plugins-bad (<= 1.0.10-3) [armel],
 yatm (<= 0.8-1) [armel]
Description: Sound stretching library
 SoundTouch is a library that can be used to change pitch and time
 of soundfiles independently.
 .
 This package contains the libsoundtouch0 shared library.

Package: libsoundtouch0-dbg
Priority: extra
Section: debug
Architecture: any
Multi-Arch: same
Depends:
 libsoundtouch0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the debugging symbols for libsoundtouch0.

Package: soundstretch
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Stretches and pitch-shifts sound independently
 This program can strech and pitch-shift .wav-files independently.
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This program uses libsoundtouch for the actual work.

Package: soundstretch-dbg
Priority: extra
Section: debug
Architecture: any
Depends:
 soundstretch (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for the soundstretch program
 This program can strech and pitch-shift .wav-files independently.
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This package contains the debugging symbols for soundstretch.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_installdocs:
	dh_installdocs -plibsoundtouch0 -psoundstretch

override_dh_installchangelogs:
	dh_installchangelogs -plibsoundtouch0 -psoundstretch

override_dh_strip:
	dh_strip --package=libsoundtouch0 --dbg-package=libsoundtouch0-dbg
	dh_strip --package=soundstretch --dbg-package=soundstretch-dbg

override_dh_makeshlibs:
	dh_makeshlibs -plibsoundtouch0 -V 'libsoundtouch0 (>= 1.7.1-3~)'

%:
	dh $@ --parallel --with autoreconf

## soundtouch 1.8.0

=== debian/changelog ===
soundtouch (1.8.0-1) unstable; urgency=low

  * New upstream release.
    - Added support for multi-channel audio processing.
    - Added support for cubic and shannon interpolation for rate and pitch shift
      effects besides the original linear interpolation, to reduce aliasing at
      high frequencies due to interpolation. Cubic interpolation is used as
      default for floating point processing, and linear interpolation for
      integer processing.
    - Fixed bug in anti-alias filtering that limited stop-band attenuation to
      -10 dB instead of <-50dB, and increased filter length from 32 to 64 taps
      to further reduce aliasing due to frequency folding.
    - Performance improvements in cross-correlation algorithm.
    - Other bug and compatibility fixes.
  * Refresh patches.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * debian/copyright: Update the copyright years.
  * Bump shlibs to (>= 1.8.0).

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 31 Jan 2014 16:46:38 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.surina.net/soundtouch/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/soundtouch.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/soundtouch.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_strip --package=soundstretch --dbg-package=soundstretch-dbg
 
 override_dh_makeshlibs:
-	dh_makeshlibs -plibsoundtouch0 -V 'libsoundtouch0 (>= 1.7.1-3~)'
+	dh_makeshlibs -plibsoundtouch0 -V 'libsoundtouch0 (>= 1.8.0)'
 
 %:
 	dh $@ --parallel --with autoreconf

## soundtouch 1.9.0

=== debian/changelog ===
soundtouch (1.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Create a custom soundtouch_config.h file. (Closes: #749746)
  * debian/patches:
    - Drop dont-use-integers-if-softfp.patch - fixed upstream.
    - Drop fix-fp-rounding-error.patch - merged upstream.
    - Add preserve-cxxflags.patch to preserved the flags set by dh.
  * Add --disable-silent-rules to avoid a compiler-flags-hidden warning.
  * Bump Standards-Version to 3.9.6 (no changes needed).

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 02 Jul 2015 02:07:13 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.surina.net/soundtouch/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/soundtouch.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/soundtouch.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules
 
 override_dh_installdocs:
 	dh_installdocs -plibsoundtouch0 -psoundstretch

## soundtouch 1.9.2

=== debian/changelog ===
soundtouch (1.9.2-3) unstable; urgency=medium

  * Team upload.

  [ Gabor Karsay ]
  * Add patch to fix
    - CVE-2017-9258 (Closes: #870854)
    - CVE-2017-9259 (Closes: #870856)
    - CVE-2017-9260 (Closes: #870857)

  [ James Cowgill ]
  * Use secure URLs where possible
  * debian/changelog:
    - Trim trailing whitespace in d/changelog.
  * debian/compat:
    - Use debhelper compat 11.
  * debian/control:
    - Drop manual debug packages.
    - Fix spelling mistake in soundstretch package description.
    - Bump standards version to 4.1.2.
    - Set Rules-Requires-Root: no.
    - Use canonical Vcs-* URLs.

 -- James Cowgill <jcowgill@debian.org>  Wed, 27 Dec 2017 16:31:50 +0000

soundtouch (1.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Mon, 28 Sep 2015 10:13:25 -0400

soundtouch (1.9.2-1) experimental; urgency=medium

  * New upstream release.
    - Bump the SONAME due to ABI Breakage in the 1.9.1 release.
      (Closes: #799402)
  * Bump shlibs version to account for the new SONAME.
  * debian/control:
    - Rename libsoundtouch0[-dbg] to libsoundtouch1[-dbg].
    - Update the description of the packages.
    - Update the Breaks/Conflicts/Provides relationships.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Sun, 20 Sep 2015 16:31:23 -0400

soundtouch (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop preserve-cxxflags.patch. Merged upstream.
  * Bump shlibs version to account for new symbols.
  * Mark libsoundtouch-dev as Multi-Arch: same.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Fri, 18 Sep 2015 01:37:20 -0400

=== debian/control ===
Source: soundtouch
Priority: optional
Section: libs
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>
Build-Depends:
 debhelper (>= 11),
Rules-Requires-Root: no
Standards-Version: 4.1.2
Homepage: https://www.surina.net/soundtouch/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/soundtouch.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/soundtouch.git

Package: libsoundtouch1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 libsoundtouch1c2
Replaces:
 libsoundtouch1c2
Description: Sound stretching library
 SoundTouch is a library that can be used to change pitch and time
 of soundfiles independently.
 .
 This package contains the SoundTouch shared library.

Package: libsoundtouch-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libsoundtouch1 (= ${binary:Version}),
 ${misc:Depends}
Breaks:
 libsoundtouch1-dev
Replaces:
 libsoundtouch1-dev
Provides:
 libsoundtouch1-dev
Description: Development files for the sound stretching library
 SoundTouch is a library that can be used to change pitch and time of
 soundfiles independently.
 .
 This package contains the development files used to build programs that use
 the SoundTouch shared library.

Package: soundstretch
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Stretches and pitch-shifts sound independently
 This program can stretch and pitch-shift .wav-files independently.
 This is especially useful for musicians, who want to listen to a song
 played slowly, without having the pitch altered.
 .
 This program uses the SoundTouch shared library for the actual work.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_installdocs:
	dh_installdocs -plibsoundtouch1 -psoundstretch

override_dh_installchangelogs:
	dh_installchangelogs -plibsoundtouch1 -psoundstretch

override_dh_strip:
	# Can be removed after next upstream version bump
	dh_strip -psoundstretch --dbgsym-migration='soundstretch-dbg (<< 1.9.2-3~)'
	dh_strip --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -plibsoundtouch1 -V 'libsoundtouch1 (>= 1.9.2)'

%:
	dh $@

=== debian/watch ===
version=3
https://www.surina.net/soundtouch/sourcecode.html soundtouch-(.+)\.tar\.gz

## soundtouch 2.0.0

=== debian/changelog ===
soundtouch (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/:
    - Install README.html only in soundstretch
    - Remove symlinked doc dirs.
  * debuan/rules:
    - Bump shlibs.
  * debian/control:
    - Remove old Breaks+Replaces.
    - Bump Standards-Version
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 05 Aug 2018 15:34:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
  debhelper (>= 11),
 Rules-Requires-Root: no
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: https://www.surina.net/soundtouch/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/soundtouch.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/soundtouch.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch
 
 Package: libsoundtouch1
 Architecture: any
@@ -19,10 +19,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- libsoundtouch1c2
-Replaces:
- libsoundtouch1c2
 Description: Sound stretching library
  SoundTouch is a library that can be used to change pitch and time
  of soundfiles independently.
@@ -36,12 +32,6 @@
 Depends:
  libsoundtouch1 (= ${binary:Version}),
  ${misc:Depends}
-Breaks:
- libsoundtouch1-dev
-Replaces:
- libsoundtouch1-dev
-Provides:
- libsoundtouch1-dev
 Description: Development files for the sound stretching library
  SoundTouch is a library that can be used to change pitch and time of
  soundfiles independently.

## soundtouch 2.1.2%2Bds1

=== debian/changelog ===
soundtouch (2.1.2+ds1-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:24 +0100

soundtouch (2.1.2+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix double free (CVE-2018-17097). (Closes: #913895)
    - Fix assertion failure (CVE-2018-17096).
    - Fix assertion failure (CVE-2018-14045). (Closes: #905504)
    - Fix buffer overflow (CVE-2018-1000223). (Closes: #905491)
    - Fix assertion failure (CVE-2018-14044). (Closes: #905504)
    - Fix heap corruption (CVE-2018-17098). (Closes: #913894)
  * debian/watch: Update watch file for gitlab
  * debian/copyright: Repack to remove DLLs and pre-built JARs for Android.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Dec 2018 23:16:03 +0100

## soundtouch 2.1.2+ds1

=== debian/changelog ===
soundtouch (2.1.2+ds1-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Drop to debhelper 10 compat to ease backports.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 31 Jan 2019 15:27:38 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 10.2),
 Rules-Requires-Root: no
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch

## soundtouch 2.2%2Bds1

=== debian/watch ===
version=4
opts="repacksuffix=+ds1,dversionmangle=auto" \
https://gitlab.com/soundtouch/soundtouch/tags .*/soundtouch@ANY_VERSION@\.tar\.gz

## soundtouch 2.2+ds1

=== debian/changelog ===
soundtouch (2.2+ds1-2) unstable; urgency=medium

  * Team upload
  * debian/rules: Disable neon on armhf (Closes: #987534)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 26 Apr 2021 10:14:22 +0200

soundtouch (2.2+ds1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * New upstream version 2.2+ds1
  * Add an soundstretch autopkgtest
  * Add me as uploader
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Update d/copyright year
  * Add me to the d/ section of d/copyright
  * d/copyright: http > https
  * d/rules: Add hardening
  * Add d/salsa-ci.yml
  * Add d/upstream/metadata

  [ Sebastian Ramacher ]
  * debian/libsoundtouch.maintscript: Remove obsolete maintscript

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 19 Nov 2020 16:11:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
- debhelper (>= 10.2),
+ debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch

## soundtouch 2.3.1+ds1

=== debian/changelog ===
soundtouch (2.3.1+ds1-1) unstable; urgency=medium

  * New upstream version 2.3.1+ds1
  * d/control: Bump S-V to 4.6.0
  * Improve autopkgtest to better deal with small inaccuracies
  * Update d/copyright year for my entry

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 13 Sep 2021 22:33:32 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch

## soundtouch 2.3.2%2Bds1

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Section: libs
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>,
- Dennis Braun <d_braun@kabelmail.de>
+ Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch

## soundtouch 2.3.2+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.1)
-project(SoundTouch VERSION 2.3.1 LANGUAGES CXX)
+project(SoundTouch VERSION 2.3.2 LANGUAGES CXX)
 
 include(GNUInstallDirs)
 
@@ -59,7 +59,7 @@
   target_compile_definitions(SoundTouch PRIVATE SOUNDTOUCH_FLOAT_SAMPLES)
 endif()
 
-if(CMAKE_SYSTEM_PROCESSOR MATCHES "^(armv7.*|armv8.*)$")
+if(CMAKE_SYSTEM_PROCESSOR MATCHES "^(armv7.*|armv8.*|aarch64.*)$")
   set(NEON_CPU ON)
 else()
   set(NEON_CPU OFF)
@@ -69,6 +69,12 @@
 if(${NEON} AND ${NEON_CPU})
   target_compile_definitions(SoundTouch PRIVATE SOUNDTOUCH_USE_NEON)
   target_compile_options(SoundTouch PRIVATE -mfpu=neon)
+endif()
+
+find_package(OpenMP)
+option(OPENMP "Use parallel multicore calculation through OpenMP" OFF)
+if(OPENMP AND OPENMP_FOUND)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
 endif()
 
 install(
@@ -105,6 +111,9 @@
   target_compile_definitions(soundstretch PRIVATE ${COMPILE_DEFINITIONS})
   target_compile_options(soundstretch PRIVATE ${COMPILE_OPTIONS})
   target_link_libraries(soundstretch PRIVATE SoundTouch)
+  if(INTEGER_SAMPLES)
+    target_compile_definitions(soundstretch PRIVATE SOUNDTOUCH_INTEGER_SAMPLES)
+  endif()
 
   install(TARGETS soundstretch
     DESTINATION bin

=== debian/changelog ===
soundtouch (2.3.2+ds1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:50:10 +0200

soundtouch (2.3.2+ds1-1) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * d/watch: moved to codeberg.org

  [ Sam Q ]
  * Replace watch

  [ Dennis Braun ]
  * New upstream version 2.3.2+ds1
  * d/watch: Add dversionmangle=auto
  * Bump Standards-Version to 4.6.1
  * Change my email address to snd@debian.org

 -- Dennis Braun <snd@debian.org>  Mon, 28 Nov 2022 23:03:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Dennis Braun <snd@debian.org>
 Build-Depends:

=== debian/watch ===
version=4
opts=dversionmangle=auto,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/soundtouch-$1\.tar\.gz/ \
  https://codeberg.org/soundtouch/soundtouch/tags .*/v?(\d\S+)\.tar\.gz

## soundtouch 2.3.3+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,20 @@
 cmake_minimum_required(VERSION 3.1)
-project(SoundTouch VERSION 2.3.2 LANGUAGES CXX)
+project(SoundTouch VERSION 2.3.3 LANGUAGES CXX)
+set(CMAKE_CXX_STANDARD 17)
 
 include(GNUInstallDirs)
 
+set(COMPILE_OPTIONS)
+
 if(MSVC)
   set(COMPILE_DEFINITIONS /O2 /fp:fast)
-  set(COMPILE_OPTIONS )
 else()
-  set(COMPILE_OPTIONS -Ofast)
+  list(APPEND COMPILE_OPTIONS -Wall -Wextra -Wzero-as-null-pointer-constant -Wno-unknown-pragmas)
+  if(EMSCRIPTEN)
+    list(APPEND COMPILE_OPTIONS -O3)
+  else()
+    list(APPEND COMPILE_OPTIONS -Ofast)
+  endif()
 endif()
 
 #####################
@@ -68,7 +75,9 @@
 option(NEON "Use ARM Neon SIMD instructions if in ARM CPU" ON)
 if(${NEON} AND ${NEON_CPU})
   target_compile_definitions(SoundTouch PRIVATE SOUNDTOUCH_USE_NEON)
-  target_compile_options(SoundTouch PRIVATE -mfpu=neon)
+  if(NOT CMAKE_SYSTEM_PROCESSOR MATCHES "^aarch64.*$")
+    target_compile_options(SoundTouch PRIVATE -mfpu=neon)
+  endif()
 endif()
 
 find_package(OpenMP)

=== debian/changelog ===
soundtouch (2.3.3+ds-1) unstable; urgency=medium

  * New upstream version 2.3.3+ds
    + Set repacksuffix to +ds
  * Bump Standards-Version to 4.6.2
  * Small improvement for the autopkgtest

 -- Dennis Braun <snd@debian.org>  Tue, 16 Apr 2024 21:47:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: soundtouch
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Dennis Braun <snd@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch

## soundtouch 2.4.0+ds

=== debian/changelog ===
soundtouch (2.4.0+ds-1) unstable; urgency=medium

  * New upstream version 2.4.0+ds
  * Bump Standards-Version to 4.7.2
  * Bump my d/copyright year

 -- Dennis Braun <snd@debian.org>  Wed, 09 Apr 2025 20:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://www.surina.net/soundtouch/
 Vcs-Git: https://salsa.debian.org/multimedia-team/soundtouch.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/soundtouch

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq (,$(filter-out armhf,$(DEB_HOST_ARCH)))
confflags += --disable-neon-optimizations
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ${confflags}

override_dh_makeshlibs:
	dh_makeshlibs -plibsoundtouch1 -V 'libsoundtouch1 (>= 2.0.0)'

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+ds,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/soundtouch-$1\.tar\.gz/ \
  https://codeberg.org/soundtouch/soundtouch/tags .*/v?(\d\S+)\.tar\.gz
